apiVersion: cdi.kubevirt.io/v1beta1
kind: DataVolume
metadata:
 name: vsr-image
 namespace: default
spec:
 pvc:
   accessModes:
     - ReadWriteMany
   resources:
     requests:
       storage: 32Gi
   storageClassName: nfs-client
 source:
   http:
     url: https://download.6wind.com/products/vsr/x86_64/3.9/3.9.1/qcow2/6wind-vsr-x86_64-v3.9.1.qcow2
     extraHeaders:
         - "Authorization: Basic xxx"